Bug 439053 - X fails to start when installing
X fails to start when installing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 14:19 EDT by Parag Warudkar
Modified: 2009-07-14 13:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of /tmp (58.64 KB, application/x-gzip)
2008-03-27 13:02 EDT, Parag Warudkar
no flags Details
anaconda.log from the attachment 299359 (13.27 KB, text/plain)
2008-03-28 20:07 EDT, Matěj Cepl
no flags Details
syslog from the attachment 299359 (594.34 KB, text/plain)
2008-03-28 20:08 EDT, Matěj Cepl
no flags Details
XConfig.test from the attachment 299359 (556 bytes, text/plain)
2008-03-28 20:08 EDT, Matěj Cepl
no flags Details
X.log from the attachment 299359 (22.03 KB, text/plain)
2008-03-28 20:08 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Parag Warudkar 2008-03-26 14:19:04 EDT
Description of problem:
Fedora 9 Beta - installation from DVD. 
Display goes blank and the LED on the display blinks repeatedly indicating that
Xorg is trying to feed the display invalid resolution.

Version-Release number of selected component (if applicable):
Fedora 9 Beta

How reproducible:
Always

Steps to Reproduce:
1. Boot from install DVD - choose all defaults
2. Anaconda attempts to start graphical installer
  
Actual results:
1. Display goes blank 
2. Endless unsuccessful tries to start Xorg - no fall back to text mode install
or low resolution mode even in 2008 :)

Expected results:
1. Successful graphical installation

Additional info:
Nvidia 8800GT card, Apple Cinema Display 20"
Comment 1 Matěj Cepl 2008-03-27 12:41:23 EDT
I have got the similar problems, could you download on USB drive from the
console (Ctrl+Alt+F2) whole content of /tmp?
Comment 2 Parag Warudkar 2008-03-27 13:02:44 EDT
Created attachment 299359 [details]
Contents of /tmp
Comment 3 Parag Warudkar 2008-03-27 13:05:30 EDT
I think what is happening is that Anaconda is forcing the nv driver to use a
800x600 mode which my monitor rejects as invalid.

IMHO the solution would be - newer xorg-nv driver does a good job of auto
detecting the right resolution and should be allowed to do so first. In case
that fails then a forced "known-good for that monitor" resolution be attempted.

Ubuntu does this and I get a much better resolution inside of the graphical
installer on the same hardware.
Comment 4 Matěj Cepl 2008-03-28 20:07:37 EDT
Created attachment 299533 [details]
anaconda.log from the attachment 299359 [details]
Comment 5 Matěj Cepl 2008-03-28 20:08:10 EDT
Created attachment 299534 [details]
syslog from the attachment 299359 [details]
Comment 6 Matěj Cepl 2008-03-28 20:08:12 EDT
Created attachment 299535 [details]
XConfig.test from the attachment 299359 [details]
Comment 7 Matěj Cepl 2008-03-28 20:08:15 EDT
Created attachment 299536 [details]
X.log from the attachment 299359 [details]
Comment 8 Parag Warudkar 2008-04-07 15:11:57 EDT
I am suspecting this bug should be against anaconda or whatever that is generating the XConfig.test and 
not xorg-nv which is simply doing what it is told to do?
Comment 9 Parag Warudkar 2008-04-28 06:02:53 EDT
Sampe problem with F9 Preview. Also it happened on a Mac Mini w/Intel GMA950 
in addition to my desktop with nVidia card. So this seems to be not related to 
graphics card. 

Why on earth is automagic mode setting not working and why is anaconda forcing 
800x600 resolution? This will impact all monitors which do not support 800x600 
or the modeline that Anaconda is using.
Comment 10 Bug Zapper 2008-05-14 02:53:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 c.h. 2008-05-18 20:43:11 EDT
I am not sure of the relevance of this information to your reported case, but
I'll cite it as a possible diagnostic or workaround aid since it may have some
similar root causes.  I'll file this as its own bug report additionally since my
8800GT/NV problem wasn't detected in the installer, but on an installed system.

I installed Fedora 9 with no video related problems on a system with
8800GT-512MB card, and an old 15" LCD monitor whose maximum capability is
1024x768 and analog VGA input.

Once the system was installed and updated fully online I relocated it to my desk
with a 24" DELL 2405FPW LCD connected via a DVI-to-VGA adapter which is
connected to the uppermost DVI/VGA port (near the card bracket screw) position.

I have been unable to get X started with the nv driver at any resolution I've
tried, including various lower resolutions like 1024x768.  I just get a black
screen when I "init 5".  
e.g. these did not help even when I did a cycle of init 3 / init 5 to restart X.
system-config-display --set-resolution="1280x1024"
system-config-display --set-resolution="1600x1200"


When I did this:
system-config-display  --set-driver=vesa
to switch /etc/X11/xorg.conf to the vesa driver instead of the nv driver, I am
able to "init 5" and use the default gdm + gnome + graphical environment.
I am now posting in 1600x1200xMillions of colors with the Vesa driver selected
on the same 8800GT and with the same DVI -> DVI to VGA -> DELL 2405FPW connected
as fails to work with the nv driver.

Comment 12 Parag Warudkar 2008-05-22 14:57:02 EDT
Exact same problem with recently released RHEL 5.2 x86_64 . 
Comment 13 Bug Zapper 2009-06-09 19:52:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:28:03 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.